NX Open C++ Reference Guide
|
Represents a @link Features::SheetMetal::AeroLighteningCutoutBuilder Features::SheetMetal::AeroLighteningCutoutBuilder@endlink <br> To create a new instance of this class, use @link Features::SheetMetal::AeroSheetmetalManager::CreateAeroLighteningCutoutBuilder Features::SheetMetal::AeroSheetmetalManager::CreateAeroLighteningCutoutBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Types { TypesHole, TypesUserDefined } |
Represents the cutout type. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle Created in NX5.0.0. | |
bool | CheckClearance () |
Returns the check clearance Created in NX5.0.0. | |
NXOpen::Expression * | Clearance () |
Returns the clearance Created in NX5.0.0. | |
NXOpen::Expression * | CornerRadius () |
Returns the corner radius Created in NX5.0.0. | |
NXOpen::Section * | CutoutProfile () |
Returns the cutout profile Created in NX5.0.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter Created in NX5.0.0. | |
NXOpen::Expression * | DieRadius () |
Returns the die radius Created in NX5.0.0. | |
std::vector< NXString > | GetStandards () |
Returns the standard names. | |
NXOpen::Point * | HoleCenter () |
Returns the hole center Created in NX5.0.0. | |
NXOpen::SelectFace * | HoleFace () |
Returns the hole face Created in NX5.0.0. | |
NXOpen::Expression * | Length () |
Returns the length Created in NX5.0.0. | |
bool | ReverseBendDirection () |
Returns the reverse bend direction Created in NX5.0.0. | |
void | SetCheckClearance (bool checkClearance) |
Sets the check clearance Created in NX5.0.0. | |
void | SetHoleCenter (NXOpen::Point *holeCenter) |
Sets the hole center Created in NX5.0.0. | |
void | SetReverseBendDirection (bool reverseBendDirection) |
Sets the reverse bend direction Created in NX5.0.0. | |
void | SetStandardName (const NXString &standardName) |
Sets the standard name Created in NX5.0.0. | |
void | SetStandardName (const char *standardName) |
Sets the standard name Created in NX5.0.0. | |
void | SetType (NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types type) |
Sets the feature type Created in NX5.0.0. | |
NXString | StandardName () |
Returns the standard name Created in NX5.0.0. | |
NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types | Type () |
Returns the feature type Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SheetMetal::AeroLighteningCutoutBuilder Features::SheetMetal::AeroLighteningCutoutBuilder@endlink <br> To create a new instance of this class, use @link Features::SheetMetal::AeroSheetmetalManager::CreateAeroLighteningCutoutBuilder Features::SheetMetal::AeroSheetmetalManager::CreateAeroLighteningCutoutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Angle.Value |
45 |
CheckClearance |
true |
Clearance.Value |
5 (millimeters part), 0.12 (inches part) |
Diameter.Value |
102 (millimeters part), 2.6 (inches part) |
DieRadius.Value |
8 (millimeters part), 0.2 (inches part) |
Length.Value |
8 (millimeters part), 0.2 (inches part) |
Type |
UserDefined |
Created in NX5.0.0.
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Angle | ( | ) |
Returns the angle
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::CheckClearance | ( | ) |
Returns the check clearance
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Clearance | ( | ) |
Returns the clearance
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::CornerRadius | ( | ) |
Returns the corner radius
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::CutoutProfile | ( | ) |
Returns the cutout profile
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Diameter | ( | ) |
Returns the diameter
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::DieRadius | ( | ) |
Returns the die radius
Created in NX5.0.0.
License requirements : None
std::vector<NXString> NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::GetStandards | ( | ) |
Returns the standard names.
NXOpen::Point* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::HoleCenter | ( | ) |
Returns the hole center
Created in NX5.0.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::HoleFace | ( | ) |
Returns the hole face
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Length | ( | ) |
Returns the length
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::ReverseBendDirection | ( | ) |
Returns the reverse bend direction
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetCheckClearance | ( | bool | checkClearance | ) |
Sets the check clearance
Created in NX5.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal")
checkClearance | checkclearance |
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetHoleCenter | ( | NXOpen::Point * | holeCenter | ) |
Sets the hole center
Created in NX5.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal")
holeCenter | holecenter |
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetReverseBendDirection | ( | bool | reverseBendDirection | ) |
Sets the reverse bend direction
Created in NX5.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal")
reverseBendDirection | reversebenddirection |
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetStandardName | ( | const NXString & | standardName | ) |
Sets the standard name
Created in NX5.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal")
standardName | standardname |
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetStandardName | ( | const char * | standardName | ) |
Sets the standard name
Created in NX5.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal")
standardName | standardname |
void NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::SetType | ( | NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types | type | ) |
Sets the feature type
Created in NX5.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal")
type | type |
NXString NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::StandardName | ( | ) |
Returns the standard name
Created in NX5.0.0.
License requirements : None
NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Types NXOpen::Features::SheetMetal::AeroLighteningCutoutBuilder::Type | ( | ) |
Returns the feature type
Created in NX5.0.0.
License requirements : None